<template>
<div>
    <v-tabs class="tab-menu">
        <v-tab>Home</v-tab>
        <v-tab>Shop</v-tab>
        <v-tab>About</v-tab>
        <v-tab>Contact</v-tab>
    </v-tabs>
    <br>
    <div>
        <v-card class="mx-auto rounded-xl" flat>
            <div style="position: relative; text-align: center;">
                <v-img src="../assets/iphone.png" style="max-width: 100%; max-height: 100%; width: auto; height: auto;"></v-img>
                <div style="position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%);">
                    <span style="padding: 10px; font-size: 80px; color: white; background: #948979;"><B>อุปกรณ์อิเล็กทรอนิกส์</B></span>
                </div>
            </div>
        </v-card>
    </div>
    <div>
        <v-card>
            <div class="font">
                <v-container>
                    <v-row class="space px-16">
                        <v-col v-for="product in products" :key="product.productId" cols="12" xs="12" sm="6" md="4">
                            <v-card class="mx-auto rounded-xl" max-width="300" style="padding-top: 30px;" flat outlined>
                                <div align="center" justify="center">
                                    <v-img v-if="product.image" :src="product.image" max-height="200px" max-width="200px" contain></v-img>
                                    <div v-else style="height: 200px; width: 200px; display: flex; align-items: center; justify-content: center; background-color: lightgray;">
                                        <span>Image not available</span>
                                    </div>
                                </div>
                                <v-card-title style="justify-content:center">รายการ: {{ product.product_name }}</v-card-title>
                                <v-card-subtitle class="mt-n4" style="text-align: center;">ราคา: {{ product.price }} บาท</v-card-subtitle>

                                <br>
                                <v-card-actions class="mx-2 mt-n4">
                                    <v-btn @click="decreaseQuantity(product)" outlined class="mt-n2 add">
                                        <v-icon color="green">fa fa-minus</v-icon>
                                    </v-btn>
                                    <strong>{{ product.quantity }}</strong>
                                    <v-btn @click="increaseQuantity(product)" outlined class="mt-n2 add">
                                        <v-icon color="green">fa fa-plus</v-icon>
                                    </v-btn>
                                    <v-btn class="mx-2 mt-n3" fab dark small color="green" @click="addToCart(product)">
                                        <v-icon dark>fa fa-shopping-basket</v-icon>
                                    </v-btn>
                                </v-card-actions>
                            </v-card>
                        </v-col>
                    </v-row>
                </v-container>
            </div>
        </v-card>
    </div>
</div>
</template>

<script>
export default {

}
</script>

<style>
.tab-menu {
    display: flex;
    justify-content: center;
}
</style>
